Skip navigation

Installing Classic under Tiger.

610 Views 9 Replies Latest reply: Feb 15, 2013 3:36 AM by Piquet2 RSS
Piquet2 Calculating status...
Currently Being Moderated
Feb 14, 2013 7:39 AM

I need to run System 9.2 under Tiger.  I bought an iMac G5 on eBay which was running OS X 10.3.  I bought a retail pack of OS X 10.4 (black disc) on eBay but it doesn't come with the System 9.2 stuff.  How can I set it up to run Classic?  I have a grey disc from my old (defunct) G5 but it won't install on my new (old!) machine.

iMac, Mac OS X (10.4)
  • Allan Eckert Level 8 Level 8 (39,380 points)
    Currently Being Moderated
    Feb 14, 2013 7:49 AM (in response to Piquet2)

    A G5 Mac run OS9/Classic

     

    See http://www.everymac.com/systems/by_capability/macs-that-support-macos-9-classic. html

     

    What are you attepting to run that requires OS 9.2?

     

    Allan

  • Allan Eckert Level 8 Level 8 (39,380 points)
    Currently Being Moderated
    Feb 14, 2013 8:01 AM (in response to Piquet2)

    Good luck with HyperCard.

     

    I have tried in the past to help get it to run on newer Macs without any success what so ever. Most of the users after trying desided to switch to newer products instead. While there is not one that does everything HyperCard did, they were able to find applications that did enough for them.

     

    What is you use HyperCard to do?

     

    Allan

  • Allan Eckert Level 8 Level 8 (39,380 points)
    Currently Being Moderated
    Feb 14, 2013 8:16 AM (in response to Piquet2)

    Well as I posted in my first reply the G5 Mac is too new to run OS9/Classic so that it out.

     

    When I said new I was refering to exactly what you want to do get OS9/Classic on a G3 or G4 Mac which it is at least theorically possible. All of the attempts I was involved with were failures. The users were force to rewite their code just as it appears you will have to do in the end.

     

    Allan

  • rccharles Level 5 Level 5 (5,150 points)
    Currently Being Moderated
    Feb 14, 2013 7:56 PM (in response to Piquet2)

    Well, you will have to get a copy of classic on the machine.  Classic is the folder. System Folder.

     

    Use pacifist to extract classic from the grey dvd.

    http://www.charlessoft.com/

     

    There are procedures for doing this around. Maybe more later.

     

    Robert

  • Glen Doggett Level 4 Level 4 (1,780 points)
    Currently Being Moderated
    Feb 14, 2013 9:04 PM (in response to Piquet2)

    You said you have been running this on an older machine, so you must have had a Classic environment on the old machine.  So you must have had a "System Folder" on that machine in order to run the OS 9 version of HyperCard, right?

     

    From the emergency backup drive that you must have made of the old machine at some point in the past 7 or 8 years, copy the "System Folder" from that to your new machine, and under System Preferences for Classic select the newly copied System Folder.  If the old machine has "given up the ghost" and won't run anymore, you may be able to remove the old hard drive, if that still works, and copy the System Folder from there using an enclosure or bare-drive cable adapter to an external port FW/USB on the new machine.

     

    The problem with running on a late model G4 or G5 that can not boot OS 9 itself, is that you can not boot and run any OS 9 installer on that machine.  Some of the computer models in that transition period that shipped with Classic pre-installed also came with /Applications/Utilities/Software Restore OS X application on the original OS DVD that would re-install the OS 9 software from the original media DVDs/CDs (at least that's how my G4 MDD worked).  Retail versions of OS X do not include the Classic environment or this software restore .app.  I don't know if the G5 iMacs shipped with a Classic environment, I'm not familiar with them, do you know how you got it on there in the first place?  Was it pre-installed?

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.